=== debian/changelog ===
libuv1 (1.24.1-1) unstable; urgency=medium

  * new upstream version
  * update README.source instructions
  * refreshed copyright with cme
  * refreshed patches
  * update symbols file
  * add Build-Depends-Package in symbols file
  * update compat to 12
  * control: declare compliance with policy 4.3.0
  * control: remove build-dev on dh-autoreconf

 -- Dominique Dumont <dod@debian.org>  Mon, 21 Jan 2019 08:33:25 +0100

libuv1 (1.24.0-1) unstable; urgency=medium

  * new upstream version
  * fix git describe instruction in README.source
  * refreshed copyright (cme update dpkg)
  * removed configure.ac.diff, path_man and hurd-port patches
    (applied upstream)
  * refreshed path_max_zero_st_size patch
  * mark internal symbols (uv__*) as optional in symbols file

 -- Dominique Dumont <dod@debian.org>  Fri, 30 Nov 2018 15:58:40 +0100

libuv1 (1.23.2-2) unstable; urgency=medium

  * Fix path_max_zero_st_size to follow renaming of variable upstream.
    Thanks to Adam Conrad for the patch (Closes: #913779)

 -- Dominique Dumont <dod@debian.org>  Sun, 18 Nov 2018 17:32:35 +0100

libuv1 (1.23.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
    * d/changelog: Remove trailing whitespaces

  [ Dominique Dumont ]
  * new upstream version
  * copyright: rm one file (cme update dpkg)
  * README.source: fix version extraction from git
  * refreshed patches

 -- Dominique Dumont <dod@debian.org>  Tue, 23 Oct 2018 14:58:34 +0200

libuv1 (1.23.1-1) unstable; urgency=medium

  * new upstream release:
    The following symbols were removed: uv__epoll_create1
    uv__epoll_create uv__epoll_ctl uv__epoll_pwait uv__epoll_wait
    uv__utimesat.
    No breakage is expected as these symbols are internal.
  * update README.source
  * refreshed patch path_max_zero_st_size
  * removed patch mips-epoll_pwait
  * remove some internal symbols from libuv1.symbols

 -- Dominique Dumont <dod@debian.org>  Fri, 05 Oct 2018 12:32:24 +0200

libuv1 (1.23.0-2) unstable; urgency=medium

  * gbp.conf: set update-tag for all tools
  * add patch to fix zero buffer size of readlink()
    Thanks to Mauricio Faria de Oliveira <mfo@canonical.com> (LP: 1792647)
    (Closes: 909011)

 -- Dominique Dumont <dod@debian.org>  Tue, 18 Sep 2018 14:18:27 +0200

libuv1 (1.23.0-1) unstable; urgency=medium

  * new upstream version
  * control: declare compliance with policy 4.2.1
  * copyright: updated with cme
  * refreshed patch
  * updated symbols file

 -- Dominique Dumont <dod@debian.org>  Fri, 07 Sep 2018 10:47:22 +0200
