=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr
Depends: @, gyp, gcc, libc-dev, g++
