=== debian/changelog ===
libuv1 (1.30.1-1) unstable; urgency=medium

  * new upstream version
  * update symbols file
  * ignore jpg files when scanning copyright
  * updated copyright with cme
  * refreshed patches
  * control: declare compliance with policy 4.4.0
  * control: add libuv1-dev dependency on freebsd-glue [kfreebsd-any].
    Thanks to Sebastian Reichel for the hint (Closes: 921424)

 -- Dominique Dumont <dod@debian.org>  Fri, 26 Jul 2019 11:03:37 +0200
