=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libkvm-dev [kfreebsd-any],
                netbase,
                pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/libuv1
 Vcs-Git: https://salsa.debian.org/debian/libuv1.git
 Homepage: https://github.com/libuv/libuv
@@ -18,9 +18,10 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libkvm-dev [kfreebsd-any],
-         libuv1 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         freebsd-glue [kfreebsd-any],
+         libkvm-dev [kfreebsd-any],
+         libuv1 (= ${binary:Version})
 Conflicts: libuv-dev,
            libuv0.10-dev
 Replaces: libuv-dev
