## libuv1 1.34.2

=== debian/changelog ===
libuv1 (1.34.2-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use python2 in the autopkg test.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 12:38:11 -0800

libuv1 (1.34.2-1) unstable; urgency=medium

  * new upstream version
  * add override license instructions for "cme udpate"
  * update copyright file with cme
  * refreshed patches
  * update symbols
  * control: declare compliance with policy 4.5.0

 -- Dominique Dumont <dod@debian.org>  Fri, 07 Feb 2020 14:55:42 +0100

libuv1 (1.33.1-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use python2 in the autopkg test.
  * Dropped changes, included in Debian:
    - Make autopkgtests cross-build-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Feb 2020 21:20:24 -0800

libuv1 (1.33.1-3) unstable; urgency=medium

  * make autopkgtests cross-test-friendly.
    Thanks to Steve Langasek for the heads-up and the patch (Closes: #950294)
  * no longer install libuv.la file

 -- Dominique Dumont <dod@debian.org>  Fri, 31 Jan 2020 15:46:39 +0100

libuv1 (1.33.1-2ubuntu2) focal; urgency=medium

  * Make autopkgtests cross-build-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jan 2020 16:53:07 -0800

libuv1 (1.33.1-2ubuntu1) focal; urgency=medium

  * Use python2 in the autopkg test.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jan 2020 08:36:19 +0100

libuv1 (1.33.1-2) unstable; urgency=medium

  * add patch to disable multicast testsuite which break
    Debian builds

 -- Dominique Dumont <dod@debian.org>  Thu, 31 Oct 2019 17:49:00 +0100

libuv1 (1.33.1-1) unstable; urgency=medium

  * new upstream version
  * refreshed copyright with cme
  * refreshed patches
  * regenerated symbol file
  * fix symbol regeneration instructions in README.source
  * use new style of debhelper dependency
  * control: comply with policy 4.4.1
  * install libuv.la file in libuv1-dev package

 -- Dominique Dumont <dod@debian.org>  Thu, 31 Oct 2019 14:01:26 +0100
