=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libuv1
-Maintainer: Dominique Dumont <dod@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dominique Dumont <dod@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                freebsd-glue [kfreebsd-any],
                libkvm-dev [kfreebsd-any],
                netbase,
                pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/libuv1
 Vcs-Git: https://salsa.debian.org/debian/libuv1.git
 Homepage: https://github.com/libuv/libuv
