=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
DEB_BUILD_MAINT_OPTIONS=hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export SOVER=1
export SONAME=libuv.so.$(SOVER)
export SOPKG=libuv$(SOVER)

# tell glibc to disable dns requests for the tests
export RES_OPTIONS = attempts:0

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_strip:
	dh_strip --dbgsym-migration='$(SOPKG)-dbg (<< 1.11.0-1~)'

override_dh_clean:
	dh_clean
	# Clean autoreconf files
	$(RM) -- ltmain.sh m4/libtool.m4
	find m4 -name 'lt*.m4' -delete

# Testsuite is not robust enough, ignore errors on non-linux
override_dh_auto_test:
ifeq ($(DEB_BUILD_ARCH_OS),linux)
	dh_auto_test
else
	-dh_auto_test
endif
