## libuv1 1.38.0

=== debian/changelog ===
libuv1 (1.38.0-2ubuntu2) groovy; urgency=medium

  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2020-8252.patch: fix buffer overruns when
      processing very long paths in uv_fs_readlink() in src/unix/internal.h.
    - CVE-2020-8252

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 25 Sep 2020 10:39:29 -0300

libuv1 (1.38.0-2ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Use python2 in tools/make_dist_html.py

 -- Brian Murray <brian@ubuntu.com>  Thu, 18 Jun 2020 11:13:26 -0700

libuv1 (1.38.0-2) unstable; urgency=medium

  * use cmake instead of autotools to build libuv.
    As a consequence:
    * control: add cmake build dep
    * archive lib is now libuv_a.a
    * remove all internal symbols from symbol file
    * rules is updated to not run tests in parallel
  * remove autopkgtest (Closes: 961878)

 -- Dominique Dumont <dod@debian.org>  Wed, 10 Jun 2020 19:18:03 +0200

libuv1 (1.38.0-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use python2 in the autopkg test.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Jun 2020 13:25:19 -0700

libuv1 (1.38.0-1) unstable; urgency=medium

  * new upstream version
  * fill.copyright.blanks: add override for files under m4/
  * refreshed copyright with cme
  * refreshed patches
  * update symbols
  * rules: increase test timeout for sparc64

 -- Dominique Dumont <dod@debian.org>  Fri, 22 May 2020 18:55:41 +0200

libuv1 (1.35.0-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use python2 in the autopkg test.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 15:30:29 -0700

libuv1 (1.35.0-2) unstable; urgency=medium

  * rules: fix increased timeout of time sensitive tests

 -- Dominique Dumont <dod@debian.org>  Thu, 16 Apr 2020 10:49:47 +0200

libuv1 (1.35.0-1) unstable; urgency=medium

  * new upstream version
  * copyright: update with cme
  * remove slow-down-some-tests patch
  * README.source: fix instructions for symbol patch generation
  * update symbols file

 -- Dominique Dumont <dod@debian.org>  Wed, 15 Apr 2020 16:29:44 +0200

libuv1 (1.34.2-4) experimental; urgency=medium

  * fix gnumake syntax

 -- Dominique Dumont <dod@debian.org>  Fri, 14 Feb 2020 10:01:00 +0100

libuv1 (1.34.2-3) experimental; urgency=medium

  * rules: slow down tests for hppa and riscv64

 -- Dominique Dumont <dod@debian.org>  Thu, 13 Feb 2020 14:43:56 +0100

libuv1 (1.34.2-2) experimental; urgency=medium

  * add patch to slow test down for slow arches
  * rules: relax timeout on heavy tests

 -- Dominique Dumont <dod@debian.org>  Wed, 12 Feb 2020 18:09:31 +0100
