=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Uploaders: Luca Bruno <lucab@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: cmake,
+               debhelper-compat (= 12),
                dh-exec,
                freebsd-glue [kfreebsd-any],
                libkvm-dev [kfreebsd-any],
