## libuv1 1.40.0

=== debian/changelog ===
libuv1 (1.40.0-2) unstable; urgency=medium

  * add patch for CVE-2021-22918 (Closes: #990561)

 -- Dominique Dumont <dod@debian.org>  Sun, 04 Jul 2021 09:43:38 +0200

libuv1 (1.40.0-1) unstable; urgency=medium

  * new upstream version
  * update copyright with cme
  * refreshed patch
  * update symbol file

 -- Dominique Dumont <dod@debian.org>  Sat, 31 Oct 2020 18:43:46 +0100

libuv1 (1.39.0-1) unstable; urgency=medium

  * new upstream version
  * update copyright with cme
  * refreshed patch
  * update symbol file

 -- Dominique Dumont <dod@debian.org>  Sun, 13 Sep 2020 17:27:18 +0200

libuv1 (1.38.0-3) unstable; urgency=medium

  * rules: increase timeout of time sensitive tests for all arch

 -- Dominique Dumont <dod@debian.org>  Sun, 28 Jun 2020 15:27:10 +0200
