=== debian/rules ===
--- 
+++ 
@@ -19,10 +19,8 @@
 # tell glibc to disable dns requests for the tests
 export RES_OPTIONS = attempts:0
 
-ifeq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH),mips hppa riscv64 sparc64))
 $(info "Note: Increasing timeout of time sensitive tests")
 export UV_TEST_TIMEOUT_MULTIPLIER = 2
-endif
 
 %:
 	dh $@ --without autoreconf
