## libuv1 1.44.1

=== debian/changelog ===
libuv1 (1.44.1-2+rpi1) bookworm-staging; urgency=medium

  * Disable testsuite, it seems to fail on our lxc based autobuilders.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 24 Mar 2022 17:44:13 +0000

libuv1 (1.44.1-2) unstable; urgency=medium

  * update symbols file to fix hurd packaging

 -- Dominique Dumont <dod@debian.org>  Wed, 16 Mar 2022 19:16:11 +0100

libuv1 (1.44.1-1) unstable; urgency=medium

  * new upstream version
  * update copyright with cme
  * refresh patch
  * update symbols file

 -- Dominique Dumont <dod@debian.org>  Sun, 13 Mar 2022 19:24:56 +0100
