=== debian/changelog ===
libuv1 (1.44.2-1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 1.44.1-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 24 Mar 2022 17:44:13 +0000]
  * Disable testsuite, it seems to fail on our lxc based autobuilders.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 24 Sep 2022 19:17:35 +0000

libuv1 (1.44.2-1) unstable; urgency=medium

  * new upstream version
  * copyright: updated with cme
  * remove pristine-tar from build process
  * update symbols file

 -- Dominique Dumont <dod@debian.org>  Thu, 28 Jul 2022 18:35:31 +0200
