=== debian/rules ===
--- 
+++ 
@@ -25,14 +25,11 @@
 %:
 	dh $@ --without autoreconf
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='$(SOPKG)-dbg (<< 1.11.0-1~)'
-
 # Testsuite is not robust enough, ignore errors on non-linux
 override_dh_auto_test:
 ifeq ($(DEB_BUILD_ARCH_OS),linux)
 # tests fail if they are run in parallel
-	dh_auto_test --no-parallel
+	#dh_auto_test --no-parallel
 else
-	-dh_auto_test
+	#-dh_auto_test
 endif
