## libuv1 1.48.0

=== debian/changelog ===
libuv1 (1.48.0-5) unstable; urgency=medium

  * add patch to fix thread-priority test (Closes: 1071194)

 -- Dominique Dumont <dod@debian.org>  Wed, 19 Jun 2024 18:57:50 +0200

libuv1 (1.48.0-4) unstable; urgency=medium

  * control: set Provides to ${t64:Provides} (Closes: #1071034)

 -- Dominique Dumont <dod@debian.org>  Wed, 15 May 2024 17:52:58 +0200

libuv1 (1.48.0-3) unstable; urgency=medium

  * rename libuv1 package to libuv1t64 (Closes: 1070912)

 -- Dominique Dumont <dod@debian.org>  Sun, 12 May 2024 16:33:19 +0200

libuv1 (1.48.0-2) unstable; urgency=medium

  [ Jérémy Lal ]
  * new package libuv1-doc using sphinxdoc. Closes: #1017581.
  * patch: fix privacy-breach-generic in html doc

  [ Dominique Dumont ]
  * add patch to support loong64.
    Thanks to Graham Inggs (Closes: #1069214)

 -- Dominique Dumont <dod@debian.org>  Sun, 05 May 2024 18:20:25 +0200

libuv1 (1.48.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062694

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 21:01:37 +0000

libuv1 (1.48.0-1) unstable; urgency=medium

  [ Dominique Dumont ]
  * new upstream version:
    * Fix CVE-2024-24806 (Closes: #1063484)
  * copyright: update with cme
  * refreshed patches
  * rm patch lp2046442-linux-don-t-use-io_uring-...
  * refreshed symbols file

 -- Dominique Dumont <dod@debian.org>  Wed, 14 Feb 2024 18:47:19 +0100
