=== debian/control ===
--- 
+++ 
@@ -1,30 +1,28 @@
 Source: libuv1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dominique Dumont <dod@debian.org>
+Maintainer: Dominique Dumont <dod@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-exec,
-               freebsd-glue [kfreebsd-any],
-               libkvm-dev [kfreebsd-any],
+               dh-sequence-sphinxdoc <!nodoc>,
                netbase,
-               pkg-config
-Standards-Version: 4.6.0
+               pkgconf,
+               sphinx <!nodoc>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/libuv1
 Vcs-Git: https://salsa.debian.org/debian/libuv1.git
 Homepage: https://github.com/libuv/libuv
 Rules-Requires-Root: no
 
 Package: libuv1-dev
-Architecture: any
+Architecture: linux-any hurd-any
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
-         freebsd-glue [kfreebsd-any],
-         libkvm-dev [kfreebsd-any],
-         libuv1 (= ${binary:Version})
+         libuv1t64 (= ${binary:Version})
+Suggests: libuv1-doc
 Conflicts: libuv-dev
 Replaces: libuv-dev
 Description: asynchronous event notification library - development files
@@ -43,12 +41,15 @@
  Install this package if you wish to develop your own programs using the
  libuv engine.
 
-Package: libuv1
-Architecture: any
+Package: libuv1t64
+Architecture: linux-any hurd-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: libuv1 (<< 1.48.0-1.1)
+Provides: ${t64:Provides}
+Replaces: libuv1
 Description: asynchronous event notification library - runtime library
  Libuv is the asynchronous library behind Node.js. Very similar to libevent or
  libev, it provides the main elements for event driven systems: watching and
@@ -64,3 +65,23 @@
  .
  This package includes the dynamic library against which you can link
  your program.
+
+Package: libuv1-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: asynchronous event notification library - documentation
+ Libuv is the asynchronous library behind Node.js. Very similar to libevent or
+ libev, it provides the main elements for event driven systems: watching and
+ waiting for availability in a set of sockets, and some other events like timers
+ or asynchronous messages. However, libuv also comes with some other extras
+ like:
+  * files watchers and asynchronous operations
+  * a portable TCP and UDP API, as well as asynchronous DNS resolution
+  * processes and threads management, and a portable inter-process
+    communications mechanism, with pipes and work queues
+  * a plugins mechanism for loading libraries dynamically
+  * interface with external libraries that also need to access the I/O.
+ .
+ This package contains the documentation for libuv1.
