=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,15 @@
 override_dh_auto_test:
 ifeq ($(DEB_BUILD_ARCH_OS),linux)
 # tests fail if they are run in parallel
-	#dh_auto_test --no-parallel
+	dh_auto_test --no-parallel
 else
-	#-dh_auto_test
+	-dh_auto_test
 endif
+
+execute_before_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	sphinx-build -D html_theme=default docs/src/ $(CURDIR)/debian/libuv1-doc/usr/share/doc/libuv1/html
+endif
+
+execute_after_dh_installdocs:
+	rm -f $(CURDIR)/debian/libuv1-doc/usr/share/doc/libuv1-dev/code/.gitignore
