## libuv1 1.50.0

=== debian/changelog ===
libuv1 (1.50.0-2ubuntu1) plucky; urgency=medium

  * d/p/fix-tests-on-ubuntu-s390x.patch: fix s390x FTBFS on Ubuntu by
    increasing timer delays in the idle_starvation and timer_from_check tests.
    (LP: #2099827)

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 25 Feb 2025 14:09:40 -0300

libuv1 (1.50.0-2) unstable; urgency=medium

  [ Jérémy Lal ]
  * Drop ath_max_zero_st_size patch - fixed upstream

 -- Dominique Dumont <dod@debian.org>  Wed, 05 Feb 2025 11:16:12 +0100

libuv1 (1.50.0-1) unstable; urgency=medium

  [ Dominique Dumont ]
  * new upstream version
  * copyright: update with cme
  * refreshed patches
  * update symbols file
  * control: declare compliance with Debian policy 4.7.0

 -- Dominique Dumont <dod@debian.org>  Mon, 03 Feb 2025 12:06:04 +0100

libuv1 (1.49.2-3) experimental; urgency=medium

  * update fix-thread-priority patch
  * update fix-arm-bug patch header

 -- Dominique Dumont <dod@debian.org>  Wed, 29 Jan 2025 19:07:52 +0100

libuv1 (1.49.2-2) experimental; urgency=medium

  * add fix-arm-bug patch
  * remove unused lintian override

 -- Dominique Dumont <dod@debian.org>  Tue, 28 Jan 2025 19:27:46 +0100

libuv1 (1.49.2-1) experimental; urgency=medium

  [ Dominique Dumont ]
  * new upstream version
  * copyright: update with cme
  * refreshed patches
  * remove hurd patches
  * update symbols file

 -- Dominique Dumont <dod@debian.org>  Sat, 18 Jan 2025 18:06:25 +0100

libuv1 (1.48.0-7) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Move sphinx dependencies to B-D-I. (Closes: 1086732)

 -- Dominique Dumont <dod@debian.org>  Wed, 06 Nov 2024 18:24:35 +0100

libuv1 (1.48.0-6) unstable; urgency=medium

  [ Olivier Valentin ]
  * Upstreamed patches to fix building on the GNU/Hurd

 -- Dominique Dumont <dod@debian.org>  Wed, 04 Sep 2024 17:11:33 +0200
