=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: libuv1
-Maintainer: Dominique Dumont <dod@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dominique Dumont <dod@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-exec,
-               dh-sequence-sphinxdoc <!nodoc>,
                netbase,
-               pkgconf,
-               sphinx <!nodoc>
-Standards-Version: 4.6.2
+               pkgconf
+Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
+                     sphinx <!nodoc>
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/libuv1
 Vcs-Git: https://salsa.debian.org/debian/libuv1.git
 Homepage: https://github.com/libuv/libuv
